Bug 1541106 - clufter: Incomplete injection of Fedora build flags
Summary: clufter: Incomplete injection of Fedora build flags
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: clufter
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Pokorný [poki]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-02-01 17:30 UTC by Florian Weimer
Modified: 2019-05-28 19:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:43:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2018-02-01 17:30:32 UTC
In clufter-bin-0.77.0-2.fc28.x86_64, /usr/libexec/clufter-0.77.0/ccs_flatten has not been linked with the Fedora linker flags from redhat-rpm-config:

gcc -pthread build/temp.linux-x86_64-2.7/ccs-flatten/flatten.o build/temp.linux-x86_64-2.7/ccs-flatten/reslist.o build/temp.linux-x86_64-2.7/ccs-flatten/resrules.o build/temp.linux-x86_64-2.7/ccs-flatten/restree.o build/temp.linux-x86_64-2.7/ccs-flatten/xmlconf.o -L/usr/lib64 -lxml2 -o build/ccs_flatten

The default linker flags are available in the $RPM_LD_FLAGS shell variable within the %build section of the RPM spec file.

Comment 1 Jan Pokorný [poki] 2018-02-03 12:10:13 UTC
Thanks for the report, Florian.

I figure that systemic solution for clufter would rather be
https://src.fedoraproject.org/rpms/python-rpm-macros/pull-request/3

Indeed, I can provide a temporary workaround till the change
like above lands in Fedora.

What do you think?

Comment 2 Florian Weimer 2018-02-12 13:41:22 UTC
I didn't realize that ccs_flatten was built by the Python extension build process.  In this case, it can wait until we have a more general solution for that.

Comment 3 Jan Pokorný [poki] 2018-02-14 09:30:27 UTC
Should have revealed that directly, sorry.

In fact, it's slightly more complicated, since for obvious reasons,
distutils slash setup.py arrangement is only extension-as-in-shared-lib
ready, so some tweaking/monkey-patching in setup.py was needed to make
standalone executable built along the same lines (which obviated
dependencies on other build systems and made the clufter self-contained
for native Python source redistribution).  Nonetheless, figuring out
the correct flags is solely in the hands of distutils, which in turn
will honour respective environment variables, hence the handover.

Comment 4 Fedora End Of Life 2018-02-20 15:39:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 5 Ben Cotton 2019-05-02 19:21:36 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-02 22:01:05 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-28 19:43:13 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.